Add a Routine (max 5 per Teammate)
POST
/api/v1/teammates/{id}/routinesRequires an Organization API key with the edit capability. Supply an Idempotency-Key when retrying the same request.
Authorization
apiKey AuthorizationBearer <token>
In: header
Path Parameters
id*string
Header Parameters
Idempotency-Key?string
Reuse the same value only when retrying the same logical operation.
Request Body
application/json
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/teammates/string/routines" \ -H "Content-Type: application/json" \ -d '{ "instruction": "string", "cadence": "daily" }'{ "id": "string", "organizationId": "string", "teammateId": "string", "instruction": "string", "cadence": "daily", "hour": 0, "enabled": true, "createdBy": null, "lastRunAt": null, "lastStatus": null, "lastDetail": "string", "createdAt": "string", "updatedAt": "string"}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}